petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexInvertCell

This flips tetrahedron and hexahedron orientation since Plex stores them internally with outward normals. Other cells are left untouched.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInvertCell(PetscInt dim, PetscInt numCorners, int cone[])

### Input Parameters

| numCorners | - The number of vertices in a cell
| cone | - The incoming cone

### Output Parameter

cone -The inverted cone (in-place)

### See Also

DMPlexGenerate()

### Level

developer

### Location

src/dm/impls/plex/plexgenerate.c

### Implementations

DMPlexInvertCell_Internal in src/dm/impls/plex/plexgenerate.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages